Namespace
library
Image / Tag
swift:5.7.0
Content Digest
sha256:473744e71c112bb20fe897a3e0d985a6cb8aed98b6a9ae1461df5cf36214cb11
Details
Created

2022-10-25 18:35:03 UTC

Size

655 MB

Content Digest
Labels
  • description
    Docker Container for the Swift programming language
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-5.7-release

SWIFT_PLATFORM

ubuntu22.04

SWIFT_SIGNING_KEY

A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

SWIFT_VERSION

swift-5.7-RELEASE

SWIFT_WEBROOT

https://download.swift.org


Layers

[#000] sha256:301a8b74f71f85f3a31e9c7e7fedd5b001ead5bcf895bc2911c1d260e06bd987 - 4.43% (29 MB)

[#001] sha256:3ad40aeac95706db6e7a5aee2bd4694359900060fea1919580312a152be6626e - 15.06% (98.7 MB)

[#002] sha256:61575edfe2b17dc3a9db65620bd635642bc0a8e3a6d2138958bf56a53f01923d - 80.51% (527 MB)

[#003] sha256:71478fc0e8b07a930644e4de57d0e6b95524d45a57d1e0b639b36ce08b2dc901 - 0.0% (236 Bytes)


History
2022-10-25 01:53:41 UTC

/bin/sh -c #(nop) ADD file:ba96f963bbfd429a0839c40603fdd7829eaca58f20adfa0d15e6beae8244bc08 in /

2022-10-25 01:53:41 UTC

/bin/sh -c #(nop) CMD ["bash"]

2022-10-25 18:32:36 UTC

/bin/sh -c #(nop) LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2022-10-25 18:32:36 UTC

/bin/sh -c #(nop) LABEL description=Docker Container for the Swift programming language

2022-10-25 18:34:03 UTC

/bin/sh -c export DEBIAN_FRONTEND=noninteractive DEBCONF_NONINTERACTIVE_SEEN=true && apt-get -q update && apt-get -q install -y binutils git unzip gnupg2 libc6-dev libcurl4-openssl-dev libedit2 libgcc-9-dev libpython3.8 libsqlite3-0 libstdc++-9-dev libxml2-dev libz3-dev pkg-config tzdata zlib1g-dev && rm -r /var/lib/apt/lists/*

2022-10-25 18:34:04 UTC

/bin/sh -c #(nop) ARG SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

2022-10-25 18:34:04 UTC

/bin/sh -c #(nop) ARG SWIFT_PLATFORM=ubuntu22.04

2022-10-25 18:34:04 UTC

/bin/sh -c #(nop) ARG SWIFT_BRANCH=swift-5.7-release

2022-10-25 18:34:04 UTC

/bin/sh -c #(nop) ARG SWIFT_VERSION=swift-5.7-RELEASE

2022-10-25 18:34:04 UTC

/bin/sh -c #(nop) ARG SWIFT_WEBROOT=https://download.swift.org

2022-10-25 18:34:04 UTC

/bin/sh -c #(nop) ENV SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubuntu22.04 SWIFT_BRANCH=swift-5.7-release SWIFT_VERSION=swift-5.7-RELEASE SWIFT_WEBROOT=https://download.swift.org

2022-10-25 18:34:56 UTC

/bin/sh -c set -e; ARCH_NAME="$(dpkg --print-architecture)"; url=; case "${ARCH_NAME##*-}" in 'amd64') OS_ARCH_SUFFIX=''; ;; 'arm64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export DEBIAN_FRONTEND=noninteractive && apt-get -q update && apt-get -q install -y curl && rm -rf /var/lib/apt/lists/* && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 && chmod -R o+r /usr/lib/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz && apt-get purge --auto-remove -y curl

2022-10-25 18:35:03 UTC

/bin/sh -c swift --version

Details
Created

2022-10-26 02:21:24 UTC

Size

641 MB

Content Digest
Labels
  • description
    Docker Container for the Swift programming language
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-5.7-release

SWIFT_PLATFORM

ubuntu22.04

SWIFT_SIGNING_KEY

A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

SWIFT_VERSION

swift-5.7-RELEASE

SWIFT_WEBROOT

https://download.swift.org


Layers

[#000] sha256:56a2caa6b2c66e01954c1a013b37ea359b6e6af8989dbfb958124b6318771af4 - 4.22% (27.1 MB)

[#001] sha256:5f5781394e744b86285910a62369fc994d65b8d54c14561d824d3a22b8331fd0 - 14.97% (96 MB)

[#002] sha256:4c758f5def4e51d85b0a7e61de7eaaba73d179dc32c930c9461c7b4e62313b88 - 80.8% (518 MB)

[#003] sha256:cec232b6c8e8aa9809dbb0a1dc996ab0e20c4c3a5b0c1ea0523596392f1c958d - 0.0% (228 Bytes)


History
2022-10-25 05:55:02 UTC

/bin/sh -c #(nop) ADD file:515177312f20fb1814b89bfccfe695fa2354bbb6d43fdb6e018bf5b1acc17e9f in /

2022-10-25 05:55:02 UTC

/bin/sh -c #(nop) CMD ["bash"]

2022-10-26 02:19:07 UTC

/bin/sh -c #(nop) LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2022-10-26 02:19:07 UTC

/bin/sh -c #(nop) LABEL description=Docker Container for the Swift programming language

2022-10-26 02:20:18 UTC

/bin/sh -c export DEBIAN_FRONTEND=noninteractive DEBCONF_NONINTERACTIVE_SEEN=true && apt-get -q update && apt-get -q install -y binutils git unzip gnupg2 libc6-dev libcurl4-openssl-dev libedit2 libgcc-9-dev libpython3.8 libsqlite3-0 libstdc++-9-dev libxml2-dev libz3-dev pkg-config tzdata zlib1g-dev && rm -r /var/lib/apt/lists/*

2022-10-26 02:20:20 UTC

/bin/sh -c #(nop) ARG SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

2022-10-26 02:20:20 UTC

/bin/sh -c #(nop) ARG SWIFT_PLATFORM=ubuntu22.04

2022-10-26 02:20:20 UTC

/bin/sh -c #(nop) ARG SWIFT_BRANCH=swift-5.7-release

2022-10-26 02:20:20 UTC

/bin/sh -c #(nop) ARG SWIFT_VERSION=swift-5.7-RELEASE

2022-10-26 02:20:21 UTC

/bin/sh -c #(nop) ARG SWIFT_WEBROOT=https://download.swift.org

2022-10-26 02:20:21 UTC

/bin/sh -c #(nop) ENV SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubuntu22.04 SWIFT_BRANCH=swift-5.7-release SWIFT_VERSION=swift-5.7-RELEASE SWIFT_WEBROOT=https://download.swift.org

2022-10-26 02:21:12 UTC

/bin/sh -c set -e; ARCH_NAME="$(dpkg --print-architecture)"; url=; case "${ARCH_NAME##*-}" in 'amd64') OS_ARCH_SUFFIX=''; ;; 'arm64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export DEBIAN_FRONTEND=noninteractive && apt-get -q update && apt-get -q install -y curl && rm -rf /var/lib/apt/lists/* && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 && chmod -R o+r /usr/lib/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz && apt-get purge --auto-remove -y curl

2022-10-26 02:21:24 UTC

/bin/sh -c swift --version

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete